w3hello.com logo
Home PHP C# C++ Android Java Javascript Python IOS SQL HTML videos Categories
Different value of SSLprotocol (Apache)

I know this post is old, but I am looking at the same type of issue as it relates to old browser versions we have to support. But apparently its not possible:
"As a rule, it is impossible to host more than one SSL virtual host on the same IP address and port."
Taken from here

The only other way I can think of around this issue, is to create separate vhosts, where the first one to negotiate will set insecure protocols, do some detection using mod-rewrite - in my case old MS IE versions - and then specify either an "Hey your browser is old, upgrade!" page, or redirect to a more secure vhost with the correct config.

But I am still investigating and open to comments.





© Copyright 2018 w3hello.com Publishing Limited. All rights reserved.